<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'hospital',

    /*
     * Package.
     */
    'package'   => 'department',

    /*
     * Modules.
     */
    'modules'   => ['department'],

    
    'department'       => [
        'model' => [
            'model'                 => \Hospital\Department\Models\Department::class,
            'table'                 => 'departments',
            'presenter'             => \Hospital\Department\Repositories\Presenter\DepartmentPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'name_arabic',  'description',  'desc_arabic',  'image',  'icon',  'slug',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'department/department',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Hospital',
            'package'   => 'Department',
            'module'    => 'Department',
        ],

    ],
];
