<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateDepartmentsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: departments
         */
        Schema::create('departments', function ($table) {
            $table->increments('id');
            $table->string('name', 255)->nullable();
            $table->string('name_arabic', 255)->nullable();
            $table->string('description', 255)->nullable();
            $table->string('desc_arabic', 255)->nullable();
            $table->text('image')->nullable();
            $table->text('icon')->nullable();
            $table->string('slug', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('departments');
    }
}
