<?php

namespace Hospital\Department;

use User;

class Department
{
    /**
     * $department object.
     */
    protected $department;

    /**
     * Constructor.
     */
    public function __construct(\Hospital\Department\Interfaces\DepartmentRepositoryInterface $department)
    {
        $this->department = $department;
    }

    /**
     * Returns count of department.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.department.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->department->pushCriteria(new \Litepie\Hospital\Repositories\Criteria\DepartmentUserCriteria());
        }

        $department = $this->department->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('department::' . $view, compact('department'))->render();
    }
}
