<?php

namespace Hospital\Department\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DepartmentTransformer extends TransformerAbstract
{
    public function transform(\Hospital\Department\Models\Department $department)
    {
        return [
            'id'                => $department->getRouteKey(),
            'key'               => [
                'public'    => $department->getPublicKey(),
                'route'     => $department->getRouteKey(),
            ], 
            'id'                => $department->id,
            'name'              => $department->name,
            'name_arabic'       => $department->name_arabic,
            'description'       => $department->description,
            'desc_arabic'       => $department->desc_arabic,
            'image'             => $department->image,
            'icon'              => $department->icon,
            'slug'              => $department->slug,
            'created_at'        => $department->created_at,
            'updated_at'        => $department->updated_at,
            'deleted_at'        => $department->deleted_at,
            'url'               => [
                'public'    => trans_url('department/'.$department->getPublicKey()),
                'user'      => guard_url('department/department/'.$department->getRouteKey()),
            ], 
            'status'            => trans('app.'.$department->status),
            'created_at'        => format_date($department->created_at),
            'updated_at'        => format_date($department->updated_at),
        ];
    }
}